using MessagePack;
using Server.Core;

namespace NetWorkMessage
{
    [Server.Core.Message(MessageOpcode.ClientRouterIPAddBlack)]
    [MessagePackObject]
    public class ClientRouterIpAddBlackMessage : MessageObject,IMessage
    {
        [Key(0)]
        public string ClientIP
        {
            get;
            set;
        }

        public static ClientRouterIpAddBlackMessage Create(string clientIp)
        {
            ClientRouterIpAddBlackMessage message = ReferencePool.Fetch<ClientRouterIpAddBlackMessage>();
            message.ClientIP = clientIp;
            return message;
        }
    }
}